#include "language.h"

const boolean coloredText_iSupport[16]  = {1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0};
const cText_t coloredText[16][6]        = {
    /* english */
    {{"[\037New\037]", "[\037Updated\037]", "[\037Activated\037]", "[\037Rejected\037]", "Host Request for %s activated by %s (%s)", "Host Request for %s rejected by %s (%s)"},
    {"\00312[\037New\037]\003", "\00311[\037Updated\037]\003", "\00309[\037Activated\037]\003", "\00304[\037Rejected\037]\003", "\00309Host Request for %s activated by %s (%s)\003", "\00304Host Request for %s rejected by %s (%s)\003"}},
    /* japanese (jis encoding) */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* japanese (euc encoding) */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* japanese (sjis encoding)  */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* spanish */
    {{"[\037Nuevo\037]", "[\037Actualizado\037]", "[\037Activado\037]", "[\037Rechazado\037]", "Peticin de Host para %s activado por %s (%s)", "Peticin de Host de %s rechazado por %s (%s)"},
    {"\00312[\037Nuevo\037]\003", "\00311[\037Actualizado\037]\003", "\00309[\037Activado\037]\003", "\00304[\037Rechazado\037]\003", "\00309Peticin de Host para %s activado por %s (%s)\003", "\00304Peticin de Host para %s rechazado por %s (%s)\003"}},
    /* portuguese */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* french */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* turkish */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* italian */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* german */
    {{"[\037Neu\037]", "[\037Verndert\037]", "[\037Aktiviert\037]", "[\037Abgelehnt\037]", "vHost fr %s wurde gesetzt von %s (%s)", "vHost fr %s wurde abgelehnt von %s (%s)"},
    {"\00312[\037Neu\037]\003", "\00311[\037Verndert\037]\003", "\00309[\037Aktiviert\037]\003", "\00304[\037Abgelehnt\037]\003", "\00309vHost fr %s wurde gesetzt von %s (%s)\003", "\00304vHost fr %s wurde abgelehnt von %s (%s)\003"}},
    /* catalan */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* greek */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* dutch */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* russian */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
    /* hungarian */
    {{"[\037j\037]", "[\037Frisstett\037]", "[\037Aktivlt\037]", "[\037Elutastott\037]", "A host krelem a(z) %s nick-hez aktivlsra kerlt %s ltal (%s)", "A host krelem a(z) %s nick-hez elutastsra kerlt %s ltal (%s)"},
    {"\00312[\037j\037]\003", "\00311[\037Frisstett\037]\003", "\00309[\037Aktivlt\037]\003", "\00304[\037Elutastott\037]\003", "\00309A host krelem a(z) %s nick-hez elutastsra kerlt %s (%s)\003 ltal", "\00304A host krelem a(z) %s nick-hez elutastsra kerlt %s ltal (%s)\003"}},
    /* polish */
    {{NULL,NULL,NULL,NULL,NULL},{NULL,NULL,NULL,NULL,NULL}},
};

int my__def_language(void)
{
    if (coloredText_iSupport[NSDefLanguage])
        return NSDefLanguage;
    else
        return LANG_EN_US;
}

void my__add_languages(void)
{
/* English translation */
char *langtable_en_us[] = {
    /* LNG_REQUEST_SYNTAX */
    "Syntax: \002REQUEST \037vHost\037\002",
    /* LNG_REQUESTED */
    "Your vHost has been requested. Please wait for an operator to activate it.",
    /* LNG_REQUEST_WAIT */
    "Please wait %d seconds before requesting a new vHost.",
    /* LNG_REQUEST_MEMO */
    "[auto memo] vHost \002%s\002 has been requested.",
    /* LNG_ACTIVATE_SYNTAX */
    "Syntax: \002{ACTIVATE|A} \037nick\037 [\037reason\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Note: Wildcard nick matching is enabled. Supported wildcard characters are '?' and '*'.\n"
#else
    "  Note: Wildcard nick matching is disabled.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Note: Regex nick matching is enabled. Prefix match string with '!'.",
#else
    "  Note: Regex nick matching is disabled.",
#endif
    /* LNG_ACTALL_SYNTAX */
    "Syntax: \002ACTALL [\037reason\037]\002",
    /* LNG_ACTIVATED */
    "vHost for '%s' has been activated.",
    /* LNG_ACTIVATE_MEMO */
    "[auto memo] Your requested vHost has been approved and set.",
    /* LNG_ACTIVATE_MEMO_REASON */
    "[auto memo] Your requested vHost has been approved and set. Reason: %s",
    /* LNG_REJECT_SYNTAX */
    "Syntax: \002{REJECT|R} \037nick\037 [\037reason\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Note: Wildcard nick matching is enabled. Supported wildcard characters are '?' and '*'.\n"
#else
    "  Note: Wildcard nick matching is disabled.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Note: Regex nick matching is enabled. Prefix match string with '!'.",
#else
    "  Note: Regex nick matching is disabled.",
#endif
    /* LNG_REJALL_SYNTAX */
    "Syntax: \002REJALL [\037reason\037]\002",
    /* LNG_REJECTED */
    "vHost for '%s' has been rejected.",
    /* LNG_REJECT_MEMO */
    "[auto memo] Your requested vHost has been rejected.",
    /* LNG_REJECT_MEMO_REASON */
    "[auto memo] Your requested vHost has been rejected. Reason: %s",
    /* LNG_NO_REQUEST */
    "No request for nick '%s' found.",
    /* LNG_HELP */
    "    REQUEST     Request a vHost for your nick",
    /* LNG_HELP_SETTER */
    "    ACTIVATE    Approve the requested vHost of a user\n"
    "                Shortcut \002A\002 is available\n"
    "    ACTALL      Approve all requested vHosts\n"
    "    REJECT      Reject the requested vHost of a user\n"
    "                Shortcut \002R\002 is available\n"
    "    REJALL      Reject all requested vHosts\n"
    "    WAITING     Convenience command for LIST +req\n"
    "                Shortcut \002W\002 is available\n"
    "    CONFIG      Access various settings",
    /* LNG_HELP_REQUEST */
    "Request the given vHost to be activated for your nick by the\n"
    "network administrators. Please be patient while your request\n"
    "is being considered.",
    /* LNG_HELP_ACTIVATE */
    "Activate the requested vHost for the given nick.",
    /* LNG_HELP_ACTALL */
    "Activate all requested vHosts.",
    /* LNG_HELP_ACTIVATE_MEMO */
    "A memo informing the user will also be sent.",
    /* LNG_HELP_REJECT */
    "Reject the requested vHost for the given nick.",
    /* LNG_HELP_REJECT_MEMO */
    "A memo informing the user will also be sent.",
    /* LNG_HELP_REJALL */
    "Reject all requested vHosts.",
    /* LNG_HELP_REJALL_MEMO */
    "A memo informing the users will also be sent.",
    /* LNG_WAITING_SYNTAX */
    "Syntax: \002{WAITING|W} [{\037nick\037|\037num\037}]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Note: Wildcard nick matching is enabled. Supported wildcard characters are '?' and '*'.\n"
#else
    "  Note: Wildcard nick matching is disabled.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Note: Regex nick matching is enabled. Prefix match string with '!'.",
#else
    "  Note: Regex nick matching is disabled.",
#endif
    /* LNG_HELP_WAITING */
    "This command is provided for convenience. It is essentially\n"
    "the same as performing a  LIST +req  .\n"
    " \n"
    "Output can be limited either by specifying a nick, in\n"
    "which case only the request belonging to that nick will\n"
    "be displayed, or by specifying a number, in which case\n"
    "the number of entries displayed will not exceed this number.\n"
    "Numbers 0 and smaller will display the total number of open\n"
    "vHost requests.",
    /* LNG_REQUEST_FORBIDDEN */
    "The vHost you requested is forbidden.",
    /* LNG_REQUEST_FORBIDDEN_REASON */
    "The vHost you requested is forbidden. Reason: %s",
    /* LNG_CONFIG_SYNTAX */
    "Syntax: \002CONFIG \037option\037 [\037parameters\037]\002",
    /* LNG_HELP_CONFIG */
    "Allows access to various settings. \037option\037 can be one of:\n"
    " \n"
    "    EXCEPTION   Modify list of exceptions\n"
    "    REGEX       Modify list of regexes\n"
    "    SAVE_DB     Manually dump request and regex databases to files\n"
    "    LIST        List config values\n"
    "    SET         Adjust runtime variables\n"
    " \n"
    "Details for: \002CONFIG EXCEPTION\002\n"
    "Syntax: \002CONFIG EXCEPTION {ADD \037nick\037|DEL {\037#num\037|\037nick\037}|LIST}\002\n"
    " \n"
    "Allows modifying the exception list.\n"
    " \n"
    "    LIST        Display exception list, includes exception number and set-by nick for use in \002DEL\002\n"
    "    ADD         Add an exception. All group members will be exempt aswell.\n"
    "    DEL         Delete an exception by reference, see \002LIST\002\n"
    " \n"
    "Details for: \002CONFIG REGEX\002\n"
    "Syntax: \002CONFIG REGEX {ADD \037reason\037 \037regex\037|DEL {\037#num\037|\037nick\037}|LIST}\002\n"
    " \n"
    "Allows modifying the regex list.\n"
    " \n"
    "    LIST        Display regex list, includes regex number and creator nick for use in \002DEL\002\n"
    "    ADD         Add a regex string. A reason \002has\002 to be specified, use 'none' for default. BE CAREFUL!\n"
    "                To supply a reason consisting of multiple words replace spaces with '_'\n"
    "    DEL         Delete a regex string by reference, see \002LIST\002\n"
    " \n"
    "Details for: \002CONFIG SET\002\n"
    "Syntax: \002CONFIG SET \037option\037 \037value\037\002\n"
    " \n"
    "Allows temporary adjustments to runtime variables. Changes will be lost on services\n"
    "config reloads and restarts. \037option\037 can be one of:\n"
    " \n"
    "    MEMOUSER          Send memos to users on various occasions.\n"
    "    MEMOOPER          Send memos to opers on various occasions.\n"
    "    MEMOSETTERS       Send memos to host setters on various occasions.\n"
    "    DISPLAYMODE       Enable/Disable extended channel output.\n"
    "    DISPLAYCOLOR      Enable/Disable colored channel output.\n"
    "    DISPLAYMAX        Change maximum number of new requests that will be displayed.\n"
    "    TIMER             Change interval between announces.\n"
    "    REQUESTDELAY      Change delay between allowed vHost requests.\n"
    "                      \037Note\037: Services Admins are exempt from the delay.\n"
    "    DENYIDENTUPDATE   Deny ident@host requests.\n"
    " \n"
    "All options besides \002TIMER\002, \002REQUESTDELAY\002 and \002DISPLAYMAX\002 accept\n"
    "values: \0021\002 (ON) and \0020\002 (OFF).\n"
    "\002TIMER\002 accepts: \0020\002 (OFF) and \002>0\002 (INTERVAL). Minimum interval\n"
    "is 10 seconds, values between 1-9 will be adjusted accordingly.\n" 
    "\002REQUESTDELAY\002 accepts: \0020\002 (OFF) and \002>0\002 (DELAY).\n"
    "\002DISPLAYMAX\002 accepts: \0020\002 (NO LIMIT) and \002>0\002 (LIMITED).",
    /* LNG_VHOST_SYNTAX */
    "Available Options:\n"
    "- \002{WAITING|W} {\037nick\037|\037num\037}\002   - lists open vHost requests\n"
    "- \002{ACTIVATE|A} \037nick\037\002         - activate a request\n"
    "- \002{REJECT|R} \037nick\037 [\037reason\037]\002 - reject a request\n"
#ifdef SUPPORT_WILDCARD
    "  Note: Wildcard nick matching is enabled. Supported wildcard characters are '?' and '*'.\n"
#else
    "  Note: Wildcard nick matching is disabled.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Note: Regex nick matching is enabled. Prefix match string with '!'.\n"
#else
    "  Note: Regex nick matching is disabled.\n"
#endif
    " \n"
    "- \002ACTALL [\037reason\037]\002            - activate all requests\n"
    "- \002REJALL [\037reason\037]\002            - reject all requests",
    /* LNG_NO_REQUESTS */
    "No requests found.",
    /* LNG_NOT_ENOUGH_REQUESTS */
    "Not enough requests.",
    /* LNG_NO_MATCHES */
    "No requests matching '%s' found.",
    /* LNG_REGEX_DISABLED */
    "Support for regex nick matching is disabled.",
    /* LNG_WILDCARD_DISABLED */
    "Support for wildcard nick matching is disabled.",
    /* LNG_REGEX_ERROR */
    "Error in '%s': %s",
    /* LNG_CONF_SAVE_DB */
    "Done. Check services channel for possible errors.",
    /* LNG_CONF_REGEX_ADD_FAIL */
    "Could not add regex '%s'",
    /* LNG_CONF_REGEX_ADD */
    "Regex '%s' added.",
    /* LNG_CONF_REGEX_LIST */
    "#%d: '%s' by %s",
    /* LNG_CONF_REGEX_LIST_END */
    "End of regex list.",
    /* LNG_CONF_REGEX_DELETED */
    "All matching regexes deleted.",
    /* LNG_CONF_TEMPORARY */
    "Setting %s temporarily to: %d (%s)",
    /* LNG_VHOST_LISTING */
    "[\037%s\037] Listing open vHost requests...",
    /* LNG_VHOST_REQUEST_COUNT */
    "Request Count: \002%d\002",
    /* LNG_VHOST_REQUEST_DISPLAYED */
    "- Displayed %d request%s(Count: \002%d\002)",
    /* LNG_VHOST_REMINDER */
    "[\037Reminder\037] You have %d vHost%sawaiting approval. To view: !%s waiting",
    /* LNG_KEY_NICK */
    "Nick",
    /* LNG_KEY_OFFLINE */
    "offline",
    /* LNG_KEY_CURRENT */
    "Current",
    /* LNG_KEY_NONE */
    "none",
    /* LNG_KEY_REQUEST */
    "Request",
    /* LNG_KEY_AGO */
    "ago",
    /* LNG_KEY_OPER */
    "Oper",
    /* LNG_KEY_HOST */
    "Host",
    /* LNG_KEY_REASON */
    "Reason",
    /* LNG_REQUEST_ALREADY_APPROVED */
    "Your request '%s' has already been approved. Please type '/msg HostServ on' if the host isn't active.",
    /* LNG_REQUEST_REMOVED_HOST */
    "Pending vHost request for %s automatically removed. New request matched already approved host.",
    /* LNG_REQUEST_REMOVED_GROUP */
    "Pending vHost request for %s automatically removed. New request matched already approved host of grouped nick %s.",
    /* LNG_REQUEST_NOT_SHOWN */
    "[\037Notice\037] New vHost(s) have been requested that have not been displayed.",
    /* LNG_REQUEST_UPDATE_DENIED */
    "Your request has been denied. To change your ident:\n"
    "   1. Request: '/msg HostServ request *@%s'.\n"
    "   2. Change your ident in your client and reconnect.",
    /* LNG_REQUEST_AUTO_APPROVED */
    "Your request has been approved automatically",
    /* LNG_HOST_REJECTED */
    "Your requested vHost of \002%s\002 has been rejected. Reason: %s.",
    /* LNG_HOST_IDENT_REJECTED */
    "Your requested vHost of \002%s\002@\002%s\002 has been rejected. Reason: %s.",
    /* LNG_HOST_ACTIVATED */
    "Your vhost of \002%s\002 is now activated. Reason: %s.",
    /* LNG_HOST_IDENT_ACTIVATED */
    "Your vhost of \002%s\002@\002%s\002 is now activated. Reason: %s.",
    /* LNG_REQUEST_AUTO_REJECTED */
    "Your request has been rejected automatically",
    /* LNG_CONF_EXCEPTION_ADD_FAIL */
    "Could not add exception for nick '%s'.",
    /* LNG_CONF_EXCEPTION_ADD */
    "Exception for nick '%s' added.",
    /* LNG_CONF_EXCEPTION_LIST */
    "#%d: '%s' by %s",
    /* LNG_CONF_EXCEPTION_LIST_END */
    "End of exception list.",
    /* LNG_CONF_EXCEPTION_DELETED */
    "Matching exception deleted.",
    /* LNG_CONF_EXCEPTION_NOT_FOUND */
    "Entry not found on exception list.",
    /* LNG_REQUEST_REMOVED_GONE */
    "Pending vHost request for %s automatically removed. User does not exist anymore.",
    /* LNG_CONFIG_REGEX_SYNTAX */
    "Syntax: \002CONFIG REGEX {ADD \037reason\037 \037regex\037|DEL {\037#num\037|\037nick\037}|LIST}\002",
    /* LNG_CONFIG_EXCEPTION_SYNTAX */
    "Syntax: \002CONFIG EXCEPTION {ADD \037nick\037|DEL {\037#num\037|\037nick\037}|LIST}\002",
    /* LNG_USER_IS_EXEMPT */
    "Exception for user by"
};

/* Spanish translation */
char *langtable_es[] = {
    /* LNG_REQUEST_SYNTAX */
    "Sintaxis: \002REQUEST \037vHost\037\002",
    /* LNG_REQUESTED */
    "Su peticin de vHost ha sido enviada. Por favor espere a que un operador lo active.",
    /* LNG_REQUEST_WAIT */
    "Por favor espere %d segundos antes de solicitar otro vHost.",
    /* LNG_REQUEST_MEMO */
    "[auto memo] vHost \002%s\002 ha sido solicitado.",
    /* LNG_ACTIVATE_SYNTAX */
    "Sintaxis: \002{ACTIVATE|A} \037nick\037 [\037razn\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Nota: Comodines para completado nicks estn habilitados. Soportados caracteres comodines como '?' y '*'.\n"
#else
    "  Nota: Comodines para completado nicks estn deshabilitados.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Nota: Expresiones regulares para completado de nicks habilitadas. El prefijo para completar series es '!'.",
#else
    "  Nota: Expresiones regulares para completado de nicks estan deshabilitadas.",
#endif
    /* LNG_ACTALL_SYNTAX */
    "Sintaxis: \002ACTALL [\037razn\037]\002",
    /* LNG_ACTIVATED */
    "El vHost de '%s' ha sido activado.",
    /* LNG_ACTIVATE_MEMO */
    "[auto memo] Su peticin de vHost ha sido aprobada y ha sido activada.",
    /* LNG_ACTIVATE_MEMO_REASON */
    "[auto memo] Su peticin de vHost ha sido aprobada y ha sido activada. Razn: %s",
    /* LNG_REJECT_SYNTAX */
    "Sintaxis: \002{REJECT|R} \037nick\037 [\037razn\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Nota: Comodines para completado nicks estn habilitados. Soportados caracteres comodines como '?' y '*'.\n"
#else
    "  Nota: Comodines para completado nicks estn deshabilitados.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Nota: Expresiones regulares para completado de nicks habilitadas. El prefijo para completar series es '!'.",
#else
    "  Nota: Expresiones regulares para completado de nicks estan deshabilitadas.",
#endif
    /* LNG_REJALL_SYNTAX */
    "Sintaxis: \002REJALL [\037razn\037]\002",
    /* LNG_REJECTED */
    "El vHost de '%s' ha sido rechazado.",
    /* LNG_REJECT_MEMO */
    "[auto memo] El vHost que ha solicitado ha sido rechazado.",
    /* LNG_REJECT_MEMO_REASON */
    "[auto memo] El vHost que ha solicitado ha sido rechazado. Razn: %s",
    /* LNG_NO_REQUEST */
    "No se encontraron peticiones del nick '%s'.",
    /* LNG_HELP */
    "    REQUEST     Solicitar un vHost para tu nick",
    /* LNG_HELP_SETTER */
    "    ACTIVATE    Aprobar la peticin de vHost para un usuario\n"
    "                El atajo \002A\002 esta disponible\n"
    "    ACTALL      Aprobar todas las peticiones de vHosts\n"
    "    REJECT      Rechazar la peticin de vHost de un usuario\n"
    "                El atajo \002R\002 esta disponible\n"
    "    REJALL      Rechazar todas las peticiones de vHosts\n"
    "    WAITING     Comando conveniente para LIST +req\n"
    "                El atajo \002W\002 esta disponible\n"
    "    CONFIG      Acceso a varias configuraciones",
    /* LNG_HELP_REQUEST */
    "Las peticiones de vHost para su nick necesitan ser activadas por los\n"
    "administradores de la red. Por favor sea paciente con su peticiones\n"
    "sern consideradas.",
    /* LNG_HELP_ACTIVATE */
    "Activa el vHost pedido para el nick dado",
    /* LNG_HELP_ACTALL */
    "Activar todas las peticiones de vHosts.",
    /* LNG_HELP_ACTIVATE_MEMO */
    "Un memo informando al usuario tambien le ser enviado.",
    /* LNG_HELP_REJECT */
    "Rechaza el vHost pedido para el nick dado.",
    /* LNG_HELP_REJECT_MEMO */
    "Un memo informando al usuario tambien le ser enviado.",
    /* LNG_HELP_REJALL */
    "Rechazar todas las peticiones de vHosts.",
    /* LNG_HELP_REJALL_MEMO */
    "Un memo informando a los usuarios tambien les sera enviado.",
    /* LNG_WAITING_SYNTAX */
    "Sintaxis: \002{WAITING|W} [{\037nick\037|\037num\037}]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Nota: Comodines para completado nicks estn habilitados. Soportados caracteres comodines como '?' y '*'.\n"
#else
    "  Nota: Comodines para completado nicks estn deshabilitados.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Nota: Expresiones regulares para completado de nicks habilitadas. El prefijo para completar series es '!'.",
#else
    "  Nota: Expresiones regulares para completado de nicks estan deshabilitadas.",
#endif
    /* LNG_HELP_WAITING */
    "Este comando es usado por conveniencia. Es esencialmente\n"
    "el mismo rendimiento que LIST +req  .\n"
    " \n"
    "La salida puede ser limitada ya sea especificando un nick, en\n"
    "tal caso solo el pedido perteneciente a ese nick sera\n"
    "mostrado, o especificando un numero, en tal caso\n"
    "el numero de entradas mostradas no excederan este numero.\n"
    "Los numeros 0 y menores mostraran el numero total de\n"
    "vHost pedidos.",
    /* LNG_REQUEST_FORBIDDEN */
    "El vHost que ha pedido esta prohibido.",
    /* LNG_REQUEST_FORBIDDEN_REASON */
    "El vHost que ha pedido esta prohibido. Razn: %s",
    /* LNG_CONFIG_SYNTAX */
    "Sintaxis: \002CONFIG \037opcin\037 [\037parametros\037]\002",
    /* LNG_HELP_CONFIG */
    "Permite accesar a varias configuraciones. Las \037opciones\037 pueden ser:\n"
    " \n"
    "    REGEX       Modificar las listas de Expresiones Regulares\n"
    "    SAVE_DB     Recoleccin manual de pedidos y bases de datos de expresiones regulares a archivos\n"
    "    LIST        Mostrar los valores de la configuracin\n"
    "    SET         Ajuste de variables de tiempo de ejecucin\n"
    " \n"
    "Detalles para: \002CONFIG REGEX\002\n"
    "Sintaxis: \002CONFIG REGEX {ADD \037razn\037 \037regex\037|DEL {\037#num\037|\037nick\037}|LIST}\002\n"
    " \n"
    "Permite la modificacin de la lista de expresiones regulares.\n"
    " \n"
    "    LIST        Muestra una lista de expresiones regulares, incluido los numeros en expresionas regulares y nick creador para uso en \002DEL\002\n"
    "    ADD         Agrega una serie de expresiones regulares. Una razn \002tiene\002 que ser especificada, use 'none' para el predeterminado. SEA CUIDADOSO!\n"
    "                Para suplir una razn consistente en mltiples palabras sustituya los espacios con '_'\n"
    "    DEL         Borra una serie de expresiones regulares por referencia, ver \002LIST\002\n"
    " \n"
    "Detalles para: \002CONFIG SET\002\n"
    "Sintaxis: \002CONFIG SET \037opcin\037 \037valor\037\002\n"
    " \n"
    "Permite ajustes temporales en las variables. Los cambios se perderan en los servicios\n"
    "cuando la configuracin sea recargada o reiniciada. Las \037opciones\037 pueden ser:\n"
    " \n"
    "    MEMOUSER          Enviar memos a los usuarios en varias ocasiones.\n"
    "    MEMOOPER          Enviar memos a los operadores en varias ocasiones.\n"
    "    MEMOSETTERS       Enviar memos a los seteadores de vHost en varias ocasiones.\n"
    "    DISPLAYMODE       Activar/Desactivar el canal extendido de salida.\n"
    "    DISPLAYCOLOR      Activar/Desactivar los colores en el canal de salida.\n"
    "    DISPLAYMAX        Cambiar el nmero mximo para que nuevas peticiones sean mostradas.\n"
    "    TIMER             Cambiar el intervalo del tiempo de los anuncios.\n"
    "    REQUESTDELAY      Cambiar el retardo entre las peticiones permitidas para los vHost.\n"
    "                      \037Nota\037: Administradores de Servicios estan excentos del retardo.\n"
    "    DENYIDENTUPDATE   Deny ident@host requests.\n"
    " \n"
    "Todas las opciones ademas de \002TIMER\002, \002REQUESTDELAY\002 y \002DISPLAYMAX\002 son aceptadas\n"
    "valores: \0021\002 (ON) y \0020\002 (OFF).\n"
    "\002TIMER\002 acepta: \0020\002 (OFF) y \002>0\002 (INTERVALO). Intervalo minimo\n"
    "es de 10 segundos, valores entre 1-9 seran ajustados adecuadamente.\n" 
    "\002REQUESTDELAY\002 acepta: \0020\002 (OFF) y \002>0\002 (DELAY).\n"
    "\002DISPLAYMAX\002 acepta: \0020\002 (NO LIMIT) y \002>0\002 (LIMITED).",
    /* LNG_VHOST_SYNTAX */
    "Opciones Disponibles:\n"
    "- \002{WAITING|W} {\037nick\037|\037num\037}\002  - lista las peticiones de vHosts\n"
    "- \002{ACTIVATE|A} \037nick\037\002        - activar una peticin\n"
    "- \002{REJECT|R} \037nick\037 [\037razn\037]\002 - rechazar una peticin\n"
#ifdef SUPPORT_WILDCARD
    "  Nota: Comodines para completado nicks estn habilitados. Soportados caracteres comodines como '?' y '*'.\n"
#else
    "  Nota: Comodines para completado nicks estn deshabilitados.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Nota: Expresiones regulares para completado de nicks habilitadas. El prefijo para completar series es '!'.\n"
#else
    "  Nota: Expresiones regulares para completado de nicks estan deshabilitadas.\n"
#endif
    " \n"
    "- \002ACTALL [\037razn\037]\002             - activar todas las peticiones\n"
    "- \002REJALL [\037razn\037]\002             - rechazar todas las peticiones",
    /* LNG_NO_REQUESTS */
    "No se encontraron peticiones.",
    /* LNG_NOT_ENOUGH_REQUESTS */
    "No hay suficientes peticiones.",
    /* LNG_NO_MATCHES */
    "No se encontraron peticiones para '%s'.",
    /* LNG_REGEX_DISABLED */
    "Soporte de expresiones regulares de autocompletado de nicks esta deshabilitado.",
    /* LNG_WILDCARD_DISABLED */
    "Soporte de comodines para autocomentado de nick esta deshabilitado.",
    /* LNG_REGEX_ERROR */
    "Error en '%s': %s",
    /* LNG_CONF_SAVE_DB */
    "Hecho. Revise los servicios del canal para posibles errores.",
    /* LNG_CONF_REGEX_ADD_FAIL */
    "No se pudo agregar la expresin regular '%s'",
    /* LNG_CONF_REGEX_ADD */
    "Expresin regular '%s' agregada.",
    /* LNG_CONF_REGEX_LIST */
    "#%d: '%s' por %s",
    /* LNG_CONF_REGEX_LIST_END */
    "Fin de la lista de expresiones regulares.",
    /* LNG_CONF_REGEX_DELETED */
    "Totas las expresiones regulares de autocompletado han sido borradas.",
    /* LNG_CONF_TEMPORARY */
    "Ajuste %s temporal a: %d (%s)",
    /* LNG_VHOST_LISTING */
    "[\037%s\037] Listando peticiones de vHost abiertas...",
    /* LNG_VHOST_REQUEST_COUNT */
    "Cuenta de las peticiones: \002%d\002",
    /* LNG_VHOST_REQUEST_DISPLAYED */
    "- Mostrando %d peticin%s(Cuenta: \002%d\002)",
    /* LNG_VHOST_REMINDER */
    "[\037Recordatorio\037] Tu tienes %d vHost%sesperando por aprobacin. Para Verlos: !%s waiting",
    /* LNG_KEY_NICK */
    "Nick",
    /* LNG_KEY_OFFLINE */
    "desconectado",
    /* LNG_KEY_CURRENT */
    "Actual",
    /* LNG_KEY_NONE */
    "ninguno",
    /* LNG_KEY_REQUEST */
    "Peticin",
    /* LNG_KEY_AGO */
    "antes",
    /* LNG_KEY_OPER */
    "Oper",
    /* LNG_KEY_HOST */
    "Host",
    /* LNG_KEY_Razn */
    "Razn",
    /* LNG_REQUEST_ALREADY_APPROVED */
    "Tu peticin de '%s' ha sido aprovada. Por favor escribe '/msg HostServ on' si el vHost no ha sido activado.",
    /* LNG_REQUEST_REMOVED_HOST */
    "vHost pendiente de %s ha sido automaticamente removido. Nueva peticin de vHost ha sido aprovado.",
    /* LNG_REQUEST_REMOVED_GROUP */
    "vHost pendientes solicitados %s han sido removidos automaticamente. Nueva peticin encontrada ha sido aprobada para el host del nick agrupado %s.",
    /* LNG_REQUEST_NOT_SHOWN */
    "[\037Noticia\037] Nuevo(s) vHost(s) han sido pedidos pero no han sido aun mostrados.",
    /* LNG_REQUEST_UPDATE_DENIED */
    "Tu peticin ha sido denegada. Para cambiar su ident:\n"
    "   1. Peticin: '/msg HostServ request *@%s'.\n"
    "   2. Cambia tu ident en tu cliente y reconectate.",
    /* LNG_REQUEST_AUTO_APPROVED */
    "Tu peticin ha sido aprobada automaticamente",
    /* LNG_HOST_REJECTED */
    "Tu peticin del vHost para \002%s\002 ha sido rechazada. Razn: %s.",
    /* LNG_HOST_IDENT_REJECTED */
    "Tu peticin del vHost para \002%s\002@\002%s\002 ha sido rechazada. Razn: %s.",
    /* LNG_HOST_ACTIVATED */
    "Tu vhost \002%s\002 ya est activada. Razn: %s.",
    /* LNG_HOST_IDENT_ACTIVATED */
    "Tu vhost \002%s\002@\002%s\002 ya est activada. Razn: %s.",
    /* LNG_REQUEST_AUTO_REJECTED */
    "Tu pedido ha sido rechazado automticamente",
    /* LNG_CONF_EXCEPTION_ADD_FAIL */
    "No se puede agregar excepciones para el nick '%s'.",
    /* LNG_CONF_EXCEPTION_ADD */
    "Excepcin para el nick '%s' agregada.",
    /* LNG_CONF_EXCEPTION_LIST */
    "#%d: '%s' by %s",
    /* LNG_CONF_EXCEPTION_LIST_END */
    "Fin de lista de excepciones.",
    /* LNG_CONF_EXCEPTION_DELETED */
    "Excepcin concordante eliminada.",
    /* LNG_CONF_EXCEPTION_NOT_FOUND */
    "Entrada no encontrada en lista de excepciones.",
    /* LNG_REQUEST_REMOVED_GONE */
    "Pedido pendiente de vHost para %s removida automticamente. El usuario ya no existe.",
    /* LNG_CONFIG_REGEX_SYNTAX */
    "Sintaxis: \002CONFIG REGEX {ADD \037razn\037 \037regex\037|DEL {\037#num\037|\037nick\037}|LIST}\002",
    /* LNG_CONFIG_EXCEPTION_SYNTAX */
    "Sintaxis: \002CONFIG EXCEPTION {ADD \037nick\037|DEL {\037#num\037|\037nick\037}|LIST}\002\n",
    /* LNG_USER_IS_EXEMPT */
    "Excepcin para usuario por"
};

/* German translation */
char *langtable_de[] = {
    /* LNG_REQUEST_SYNTAX */
    "Syntax: \002REQUEST \037vHost\037\002",
    /* LNG_REQUESTED */
    "Dein vHost wurde beantragt. Bitte warte bis ein Operator ber ihn entschieden hat.",
    /* LNG_REQUEST_WAIT */
    "Bitte warte %d Sekunden bevor du einen neuen vHost beantragst.",
    /* LNG_REQUEST_MEMO */
    "[auto memo] vHost \002%s\002 wurde beantragt.",
    /* LNG_ACTIVATE_SYNTAX */
    "Syntax: \002{ACTIVATE|A} \037Nick\037 [\037Grund\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Anmerkung: Wildcard Nick Matching ist aktiviert. Untersttzte Wildcard Charaktere sind '?' und '*'.\n"
#else
    "  Anmerkung: Wildcard Nick Matching ist deaktiviert.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Anmerkung: Regex Nick Matching ist aktiviert. Suchbegriffe mssen mit '!' beginnen.",
#else
    "  Anmerkung: Regex Nick Matching ist deaktiviert.",
#endif
    /* LNG_ACTALL_SYNTAX */
    "Syntax: \002ACTALL [\037Grund\037]\002",
    /* LNG_ACTIVATED */
    "vHost fr '%s' wurde aktiviert.",
    /* LNG_ACTIVATE_MEMO */
    "[auto memo] Dein beantragter vHost wurde akzeptiert und gesetzt.",
    /* LNG_ACTIVATE_MEMO_REASON */
    "[auto memo] Dein beantragter vHost wurde akzeptiert und gesetzt. Grund: %s",
    /* LNG_REJECT_SYNTAX */
    "Syntax: \002{REJECT|R} \037Nick\037 [\037Grund\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Anmerkung: Wildcard Nick Matching ist aktiviert. Untersttzte Wildcard Charaktere sind '?' und '*'.\n"
#else
    "  Anmerkung: Wildcard Nick Matching ist deaktiviert.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Anmerkung: Regex Nick Matching ist aktiviert. Suchbegriffe mssen mit '!' beginnen.",
#else
    "  Anmerkung: Regex Nick Matching ist deaktiviert.",
#endif
    /* LNG_REJALL_SYNTAX */
    "Syntax: \002REJALL [\037Grund\037]\002",
    /* LNG_REJECTED */
    "vHost fr '%s' wurde abgelehnt.",
    /* LNG_REJECT_MEMO */
    "[auto memo] Dein beantragter vHost wurde abgelehnt.",
    /* LNG_REJECT_MEMO_REASON */
    "[auto memo] Dein beantragter vHost wurde abgelehnt. Grund: %s",
    /* LNG_NO_REQUEST */
    "Es wurde kein vHost-Antrag fr '%s' gefunden.",
    /* LNG_HELP */
    "    REQUEST     Beantrage einen vHost fr deinen Nick",
    /* LNG_HELP_SETTER */
    "    ACTIVATE    Akzeptier den beantragten vHost eines Users\n"
    "                Das Krzel \002A\002 ist verfgbar\n"
    "    ACTALL      Akzeptier alle beantragten vHosts\n"
    "    REJECT      Lehn den beantragten vHost eines Users ab\n"
    "                Das Krzel \002R\002 ist verfgbar\n"
    "    REJALL      Lehn alle beantragten vHosts ab\n"
    "    WAITING     Befehl mit der selben Funktion wie LIST +req\n"
    "                Das Krzel \002W\002 ist verfgbar\n"
    "    CONFIG      Vernder verschiedene Einstellungen",
    /* LNG_HELP_REQUEST */
    "Beantrage einen vHost fr deinen Nick. ber dein Antrag wird\n"
    "daraufhin von Netzwerk Administratoren entschieden, was je nachdem\n"
    "einige Zeit dauern kann.",
    /* LNG_HELP_ACTIVATE */
    "Akzeptier den beantragten vHost des Users.",
    /* LNG_HELP_ACTALL */
    "Akzeptier alle beantragten vHosts.",
    /* LNG_HELP_ACTIVATE_MEMO */
    "Dem User wird, falls offline, eine Memo geschickt.",
    /* LNG_HELP_REJECT */
    "Lehn den beantragten vHost des Users ab.",
    /* LNG_HELP_REJECT_MEMO */
    "Dem User wird, falls offline, eine Memo geschickt.",
    /* LNG_HELP_REJALL */
    "Lehn alle beantragten vHosts ab.",
    /* LNG_HELP_REJALL_MEMO */
    "Dem User wird, falls offline, eine Memo geschickt.",
    /* LNG_WAITING_SYNTAX */
    "Syntax: \002{WAITING|W} [{\037Nick\037|\037Nummer\037}]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Anmerkung: Wildcard Nick Matching ist aktiviert. Untersttzte Wildcard Charaktere sind '?' und '*'.\n"
#else
    "  Anmerkung: Wildcard Nick Matching ist deaktiviert.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Anmerkung: Regex Nick Matching ist aktiviert. Suchbegriffe mssen mit '!' beginnen.",
#else
    "  Anmerkung: Regex Nick Matching ist deaktiviert.",
#endif
    /* LNG_HELP_WAITING */
    "Dieser Befehl wird aus reiner Bequemlichkeit angeboten. Er entspricht\n"
    "der Ausfhrung von  LIST +req  .\n"
    " \n"
    "Ergebnisse knnen eingeschrnkt werden entweder durch Angabe\n"
    "eines Nicks, in welchem Fall nur dessen spezieller Antrag\n"
    "angezeigt wird, oder durch Angabe einer Nummer, in welchem\n"
    "Fall die Anzahl angezeigter Antrge diese Nummer nicht berschreiten\n"
    "wird. Nummern kleiner oder gleich 0 geben Auskunft ber die Anzahl\n"
    "aller derzeit offenen vHost-Antrge.",
    /* LNG_REQUEST_FORBIDDEN */
    "Dein beantragter vHost ist nicht gestattet.",
    /* LNG_REQUEST_FORBIDDEN_REASON */
    "Dein beantragter vHost ist nicht gestattet. Grund: %s",
    /* LNG_CONFIG_SYNTAX */
    "Syntax: \002CONFIG \037Option\037 [\037Parameter\037]\002",
    /* LNG_HELP_CONFIG */
    "Erlaubt Zugriff auf verschiedene Optionen. \037Option\037 kann sein:\n"
    " \n"
    "    EXCEPTION   Vernder die Ausnahme-Liste\n"
    "    REGEX       Vernder die Regex-Liste\n"
    "    SAVE_DB     Fhre eine Sicherung der Antrag- und Regex-Datenbanken manuell aus\n"
    "    LIST        Zeige Konfigurations-Variablen an\n"
    "    SET         Justiere verschiedene Variablen in Echtzeit\n"
    " \n"
    "Details fr: \002CONFIG EXCEPTION\002\n"
    "Syntax: \002CONFIG EXCEPTION {ADD \037Nick\037|DEL {\037#Nummer\037|\037Nick\037}|LIST}\002\n"
    " \n"
    "Erlaubt Vernderung der Ausnahme-Liste.\n"
    " \n"
    "    LIST        Zeige Ausnahme-Liste, beinhaltet Ausnahme Nummer und hinzugefgt-von Nick fr \002DEL\002 Befehl\n"
    "    ADD         Fge eine Ausnahme hinzu. Dies wirkt sich auch auf alle Gruppenmitglieder aus.\n"
    "    DEL         Lsche eine Ausnahme per Referenz, siehe \002LIST\002\n"
    " \n"
    "Details fr: \002CONFIG REGEX\002\n"
    "Syntax: \002CONFIG REGEX {ADD \037Grund\037 \037Regex\037|DEL {\037#Nummer\037|\037Nick\037}|LIST}\002\n"
    " \n"
    "Erlaubt Vernderung der Regex-Liste.\n"
    " \n"
    "    LIST        Zeite Regex-Liste, beinhaltet Regex Nummer und Ersteller-Nick fr \002DEL\002 Befehl\n"
    "    ADD         Fge eine Regex Zeichenfolge hinzu. Ein Grund \002muss\002 angegeben werde, benutze 'none' fr einen Standardgrund. SEI VORSICHTIG!\n"
    "                Um einen lngeren Grund anzugeben ersetze Leerzeichen mit '_'\n"
    "    DEL         Lsche eine Regex Zeichenfolge per Referenz, siehe \002LIST\002\n"
    " \n"
    "Details fr: \002CONFIG SET\002\n"
    "Syntax: \002CONFIG SET \037Option\037 \037Wert\037\002\n"
    " \n"
    "Erlaubt vorbergehende Justierung verschiedener Variablen. Vernderungen gehen verloren\n"
    "whrend erneutem Laden der Konfigurationsdatei und Neustarts. \037Option\037 kann sein:\n"
    " \n"
    "    MEMOUSER          Sende Memos an Benutzer zu verschiedenen Anlssen.\n"
    "    MEMOOPER          Sende Memos an Oper zu verschiedenen Anlssen.\n"
    "    MEMOSETTERS       Sende Memos an Host Setter zu verschiedenen Anlssen.\n"
    "    DISPLAYMODE       Aktiviere/Deaktiviere erweiterte Channel Anzeige.\n"
    "    DISPLAYCOLOR      Aktiviere/Deaktiviere farbige Channel Anzeige.\n"
    "    DISPLAYMAX        Verndere die maximale Anzahl an neuen Antrgen die angezeigt wird.\n"
    "    TIMER             Verndere den Intervall zwischen Erinnerungen.\n"
    "    REQUESTDELAY      Verndere, wielange ein Benutzer zwischen 2 vHost Antrgen warten muss.\n"
    "                      \037Anmerkung\037: Services Admins sind hiervon ausgenommen.\n"
    "    DENYIDENTUPDATE   Verbiete ident@host Antrge.\n"
    " \n"
    "Alle Optionen ausser \002TIMER\002, \002REQUESTDELAY\002 und \002DISPLAYMAX\002 akzeptieren\n"
    "folgende Werte: \0021\002 (ON) und \0020\002 (OFF).\n"
    "\002TIMER\002 akzeptiert: \0020\002 (OFF) und \002>0\002 (INTERVAL). Minimaler Interval\n"
    "ist 10 Sekunden, Werte zwischen 1-9 werden entsprechend justiert.\n" 
    "\002REQUESTDELAY\002 akzeptiert: \0020\002 (OFF) und \002>0\002 (DELAY).\n"
    "\002DISPLAYMAX\002 akzeptiert: \0020\002 (NO LIMIT) und \002>0\002 (LIMITED).",
    /* LNG_VHOST_SYNTAX */
    "Verfgbare Optionen:\n"
    "- \002{WAITING|W} {\037Nick\037|\037Nummer\037}\002 - Zeige alle offenen vHost-Antrge an\n"
    "- \002{ACTIVATE|A} \037Nick\037\002          - Akzeptier einen Antrag\n"
    "- \002{REJECT|R} \037Nick\037 [\037Grund\037]\002   - Lehn einen Antrag ab\n"
#ifdef SUPPORT_WILDCARD
    "  Anmerkung: Wildcard Nick Matching ist aktiviert. Untersttzte Wildcard Charaktere sind '?' und '*'.\n"
#else
    "  Anmerkung: Wildcard Nick Matching ist deaktiviert.\n"
#endif
#ifdef SUPPORT_REGEX
    "  Anmerkung: Regex Nick Matching ist aktiviert. Suchbegriffe mssen mit '!' beginnen.\n"
#else
    "  Anmerkung: Regex Nick Matching ist deaktiviert.\n"
#endif
    " \n"
    "- \002ACTALL [\037Grund\037]\002            - Akzeptier alle beantragten vHosts\n"
    "- \002REJALL [\037Grund\037]\002            - Lehn alle beantragten vHosts ab",
    /* LNG_NO_REQUESTS */
    "Keine Antrge vorhanden.",
    /* LNG_NOT_ENOUGH_REQUESTS */
    "Nicht gengend Antrge vorhanden.",
    /* LNG_NO_MATCHES */
    "Es wurden keine Antrge fr den Such-String '%s' gefunden.",
    /* LNG_REGEX_DISABLED */
    "Untersttzung fr Regex Nick Matching ist deaktiviert.",
    /* LNG_WILDCARD_DISABLED */
    "Untersttzung fr Wildcard Nick Matching ist deaktiviert.",
    /* LNG_REGEX_ERROR */
    "Fehler in '%s': %s",
    /* LNG_CONF_SAVE_DB */
    "Fertig. Mgliche Fehler wurden im Services-Channel bekanntgegeben.",
    /* LNG_CONF_REGEX_ADD_FAIL */
    "Konnte Regex '%s' nicht hinzufgen",
    /* LNG_CONF_REGEX_ADD */
    "Regex '%s' hinzugefgt.",
    /* LNG_CONF_REGEX_LIST */
    "#%d: '%s' von %s",
    /* LNG_CONF_REGEX_LIST_END */
    "Ende der Regex-Liste.",
    /* LNG_CONF_REGEX_DELETED */
    "Alle gefundenen Regexes wurden gelscht.",
    /* LNG_CONF_TEMPORARY */
    "Setze %s vorbergehend zu: %d (%s)",
    /* LNG_VHOST_LISTING */
    "[\037%s\037] Zeige offene vHost Antrge...",
    /* LNG_VHOST_REQUEST_COUNT */
    "Offene Antrge: \002%d\002",
    /* LNG_VHOST_REQUEST_DISPLAYED */
    "- Angezeigte Antrge: %d%s(Insgesamt: \002%d\002)", // horrible %s string, this should be changed
    /* LNG_VHOST_REMINDER */
    "[\037Erinnerung\037] Es warten %d vHost%sauf Begutachtung. Um sie anzuzeigen: !%s waiting",
    /* LNG_KEY_NICK */
    "Nick",
    /* LNG_KEY_OFFLINE */
    "offline",
    /* LNG_KEY_CURRENT */
    "Aktuell",
    /* LNG_KEY_NONE */
    "keiner",
    /* LNG_KEY_REQUEST */
    "Antrag",
    /* LNG_KEY_AGO */
    "zuvor",
    /* LNG_KEY_OPER */
    "Oper",
    /* LNG_KEY_HOST */
    "Host",
    /* LNG_KEY_REASON */
    "Grund",
    /* LNG_REQUEST_ALREADY_APPROVED */
    "Dein Antrag '%s' wurde bereits akzeptiert.\n"
    "Falls der Host nicht aktiv sein sollte, fhre '/msg HostServ on' aus.",
    /* LNG_REQUEST_REMOVED_HOST */
    "Offener vHost Antrag fr %s wurde automatisch gelscht. Neuer Antrag entspricht derzeitigem vHost.",
    /* LNG_REQUEST_REMOVED_GROUP */
    "Offener vHost Antrag fr %s wurde automatisch gelscht. Neuer Antrag entspricht derzeitigem vHost des gruppierten Nicks %s.",
    /* LNG_REQUEST_NOT_SHOWN */
    "[\037Achtung\037] Ein oder mehrere vHosts wurden beantragt, welche nicht angezeigt werden konnten.",
    /* LNG_REQUEST_UPDATE_DENIED */
    "Dein Antrag wurde abgelehnt. Um deine Ident zu ndern folge den Anweisungen:\n"
    "   1. Beantrage: '/msg HostServ request *@%s'.\n"
    "   2. ndere die Ident in deinem Klienten und verbinde dich neu.",
    /* LNG_REQUEST_AUTO_APPROVED */
    "Dein Antrag wurde automatisch aktiviert",
    /* LNG_HOST_REJECTED */
    "Dein beantragter vHost \002%s\002 wurde abgelehnt. Grund: %s.",
    /* LNG_HOST_IDENT_REJECTED */
    "Dein beantragter vHost \002%s\002@\002%s\002 wurde abgelehnt. Grund: %s.",
    /* LNG_HOST_ACTIVATED */
    "Dein beantragter vHost \002%s\002 wurde akzeptiert. Grund: %s.",
    /* LNG_HOST_IDENT_ACTIVATED */
    "Dein beantragter vHost \002%s\002@\002%s\002 wurde akzeptiert. Grund: %s.",
    /* LNG_REQUEST_AUTO_REJECTED */
    "Dein Antrag wurde automatisch abgelehnt",
    /* LNG_CONF_EXCEPTION_ADD_FAIL */
    "Konnte keine Ausnahme fr '%s' hinzufgen.",
    /* LNG_CONF_EXCEPTION_ADD */
    "Ausnahme fr '%s' hinzugefgt.",
    /* LNG_CONF_EXCEPTION_LIST */
    "#%d: '%s' von %s",
    /* LNG_CONF_EXCEPTION_LIST_END */
    "Ende der Ausnahme-Liste.",
    /* LNG_CONF_EXCEPTION_DELETED */
    "Gefundener Eintrag wurde gelscht.",
    /* LNG_CONF_EXCEPTION_NOT_FOUND */
    "Kein Eintrag in der Ausnahme-Liste gefunden.",
    /* LNG_REQUEST_REMOVED_GONE */
    "Offener vHost Antrag fr %s wurde automatisch gelscht. Benutzer existiert nicht mehr.",
    /* LNG_CONFIG_REGEX_SYNTAX */
    "Syntax: \002CONFIG REGEX {ADD \037Grund\037 \037Regex\037|DEL {\037#Nummer\037|\037Nick\037}|LIST}\002",
    /* LNG_CONFIG_EXCEPTION_SYNTAX */
    "Syntax: \002CONFIG EXCEPTION {ADD \037Nick\037|DEL {\037#Nummer\037|\037Nick\037}|LIST}\002",
    /* LNG_USER_IS_EXEMPT */
    "Ausnahme-Regel fr den Benutzer hinzugefgt von"
};

/* Hungarian translation */
char *langtable_hun[] = {
    /* LNG_REQUEST_SYNTAX */
    "Szintaktika: \002REQUEST \037vHost\037\002",
    /* LNG_REQUESTED */
    "A vHost-od ignylsre kerlt. Krjk vrj, amg egy opertor aktivlja.",
    /* LNG_REQUEST_WAIT */
    "Krjk vrj %d msodpercet, mielott j vHost-ot krsz.",
    /* LNG_REQUEST_MEMO */
    "[auto memo] A(z) \002%s\002 vHost ignylsre kerlt.",
    /* LNG_ACTIVATE_SYNTAX */
    "Szintaktika: \002{ACTIVATE|A} \037nick\037 [\037indok\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Megj.: A wildcard nick szurs aktv. A tmogatott joker karakterek: '?' s '*'.\n"
#else
    "  Megj.: A wildcard nick szurs inaktv. \n"
#endif
#ifdef SUPPORT_REGEX
    "  Megj.: A regex nick szurs aktv. Kezdd a stringet a kvetkezovel: '!'.",
#else
    "  Megj.: A regex nick szurs inaktv.",
#endif
    /* LNG_ACTALL_SYNTAX */
    "Szintaktika: \002ACTALL [\037indok\037]\002",
    /* LNG_ACTIVATED */
    "A vHost '%s'-hez aktivlsra kerlt.",
    /* LNG_ACTIVATE_MEMO */
    "[auto memo] A krt vHost-od jvhagysra s belltsra kerlt.",
    /* LNG_ACTIVATE_MEMO_REASON */
    "[auto memo] Az krt vHost-od jvhagysra s belltsra kerlt. Indok: %s",
    /* LNG_REJECT_SYNTAX */
    "Szintaktika: \002{REJECT|R} \037nick\037 [\037indok\037]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Megj,: A wildcard nick szurs aktv. A tmogatott joker karakterek: '?' s '*'.\n"
#else
    "  Megj.: A wildcard nick szurs inaktv. \n"
#endif
#ifdef SUPPORT_REGEX
    "  Megj.: A regex nick szurs aktv. Kezdd a stringet a kvetkezovel: '!'.",
#else
    "  Megj.: A regex nick szurs inaktv.",
#endif
    /* LNG_REJALL_SYNTAX */
    "Szintaktika: \002REJALL [\037indok\037]\002",
    /* LNG_REJECTED */
    "A vHost '%s'-hez elutastsra kerlt.",
    /* LNG_REJECT_MEMO */
    "[auto memo] A krt vHost-od elutastsra kerlt.",
    /* LNG_REJECT_MEMO_REASON */
    "[auto memo] A krt vHost-od elutastsra kerlt. Indok: %s",
    /* LNG_NO_REQUEST */
    "Nem talltunk ignylst a(z) '%s' nick-hez.",
    /* LNG_HELP */
    "    REQUEST     vHost ignylse a nick-edhez",
    /* LNG_HELP_SETTER */
    "    ACTIVATE    Egy user ignyelt vHost-jnak jvhagysa\n"
    "                Hasznlhat az \002A\002 rvidts\n"
    "    ACTALL      Az sszes ignyelt vHost jvhagysa\n"
    "    REJECT      Egy user ignyelt vHost-jnak elutastsa\n"
    "                Hasznlhat az \002R\002 rvidts\n"
    "    REJALL      Az sszes ignyelt vHost elutastsa\n"
    "    WAITING     Knyelmi parancs a kvetkezohz: LIST +req\n"
    "                Hasznlhat a \002W\002 rvidts\n"
    "    CONFIG      Klnbzo belltsokhoz val hozzfrs",
    /* LNG_HELP_REQUEST */
    "Krd a nick-edhez megadott vHost aktivlst\n"
    "a hlzati adminisztrtoroknl. Krjk lgy trelemmel amg\n"
    "a krsed elbrlsra kerl.",
    /* LNG_HELP_ACTIVATE */
    "A nick-hez megadott vHost aktivlsa.",
    /* LNG_HELP_ACTALL */
    "Az sszes ignyelt vHost aktivlsa.",
    /* LNG_HELP_ACTIVATE_MEMO */
    "A user-eket tjkoztat memo is kldsre kerl.",
    /* LNG_HELP_REJECT */
    "A nick-hez megadott vHost elutastsa.",
    /* LNG_HELP_REJECT_MEMO */
    "A user-t tjkoztat memo is kldsre kerl.",
    /* LNG_HELP_REJALL */
    "Az sszes ignyelt vHost elutastsa.",
    /* LNG_HELP_REJALL_MEMO */
    "A user-eket tjkoztat memo is kldsre kerl.",
    /* LNG_WAITING_SYNTAX */
    "Szintaktika: \002{WAITING|W} [{\037nick\037|\037szm\037}]\002\n"
#ifdef SUPPORT_WILDCARD
    "  Megj,: A wildcard nick szurs aktv. A tmogatott joker karakterek: '?' s '*'.\n"
#else
    "  Megj.: A wildcard nick szurs inaktv. \n"
#endif
#ifdef SUPPORT_REGEX
    "  Megj.: A regex nick szurs aktv. Kezdd a stringet a kvetkezovel: '!'.",
#else
    "  Megj.: A regex nick szurs inaktv.",
#endif
    /* LNG_HELP_WAITING */
    "Ez egy knyelmi parancs. Alapvetoen ugyanaz,\n"
    "mint egy  LIST +req  .\n"
    " \n"
    "A kimenet korltozhat vagy egy nick megadsval,\n"
    "mely esetben csak a nick-hez tartoz ignylsek lesznek\n"
    "lthatak, vagy egy szm megadsval, mely esetben\n"
    "a bejegyzsek szma nem lesz tbb ennl a szmnl.\n"
    "A 0 s a kisebb szmok az sszes nyitott vHost ignyls\n"
    "listzst eredmnyezik.",
    /* LNG_REQUEST_FORBIDDEN */
    "Az ltalad krt vHost le van tiltva.",
    /* LNG_REQUEST_FORBIDDEN_REASON */
    "Az ltald krt vHost le van tiltva. Indok: %s",
    /* LNG_CONFIG_SYNTAX */
    "Szintaktika: \002CONFIG \037opci\037 [\037paramterek\037]\002",
    /* LNG_HELP_CONFIG */
    "Klnbzo belltsokat tesz lehetov. Az \037opci\037 lehet:\n"
    " \n"
    "    KIVTEL     Kivltel-lista mdostsa\n"
    "    REGEX       Regex-ek kistjnak mdostsa\n"
    "    SAVE_DB     Ignylsek s regex adatbzisok manulis mentse file-okba\n"
    "    LIST        Konfig rtkek mutatsa\n"
    "    SET         Runtime vltozk lltsa\n"
    " \n"
    "\002CONFIG EXCEPTION\002 rszletezse\n"
    "Szintaktika: \002CONFIG EXCEPTION {ADD \037nick\037|DEL {\037#szm\037|\037nick\037}|LIST}\002\n"
    " \n"
    "A kivtel-lista mdostshoz:\n"
    " \n"
    "    LIST        Kivtel-lista megtekintse, benne a kivtel szmval s a bellt nick-kel a \002DEL\002-ben val hasznlathoz\n"
    "    ADD         Kivtel hozzadsa. Minden csoporttagra is rvnyes lesz.\n"
    "    DEL         Kivtel trlse hivatkozs alapjn, lsd \002LIST\002\n"
    " \n"
    "\002CONFIG REGEX\002 rszletezse\n"
    "Szintaktika: \002CONFIG REGEX {ADD \037indok\037 \037regex\037|DEL {\037#szm\037|\037nick\037}|LIST}\002\n"
    " \n"
    "Lehetov teszi a regex lista mdostst.\n"
    " \n"
    "    LIST        Regex lista, tartalmazza a regex szmot, a kszto nick-jt \002DEL\002-hez\n"
    "    ADD         Regex string hozzadsa. Egy okot \002meg kell\002 adni, hasznlj 'none'-t alapbl. LGY VATOS!\n"
    "                Tbb szt tartalmaz indoklsnl hasznlj '_' jelet space helyett\n"
    "    DEL         Regex string trlse referencia alapjn, lsd \002LIST\002\n"
    " \n"
    "\002CONFIG SET\002\n rszletezse"
    "Szintaktika: \002CONFIG SET \037opci\037 \037rtk\037\002\n"
    " \n"
    "Lehetov teszi a runtime vltozk ideiglenes mdostst. A mdostsok a services\n"
    "konfigurci jratltseknl s jraindtsoknl elvesznek. Az \037opci\037 lehet:\n"
    " \n"
    "    MEMOUSER          Memo-t kld a usernek klnbzo alkalmakkor.\n"
    "    MEMOOPER          Memo-t kld az opereknek klnbzo alkalmakkor.\n"
    "    MEMOSETTERS       Memo-t kld a host setter-eknek klnbzo alkalmakkor.\n"
    "    DISPLAYMODE       Engedlyezi/Letiltja a kibovtett csatorna kimenetetet.\n"
    "    DISPLAYCOLOR      Enegedlyezi/Letiltja a sznes csatorna kimenetet.\n"
    "    DISPLAYMAX        Megvltoztatja a megjelentendo j ignylsek max szmt.\n"
    "    TIMER             Megvltoztatja a bejelentsek kzti idotartamot.\n"
    "    REQUESTDELAY      Megvltoztatja az engedlyezett vHost ignyek kzti ksleltetst.\n"
    "                      \037Megj.\037: Services Admin-ok kivtelt kpeznek a ksleltets all.\n"
    "    DENYIDENTUPDATE   Elutastja az ident@host krseket.\n"
    " \n"
    "Minden opci a \002TIMER\002, a \002REQUESTDELAY\002 s a \002DISPLAYMAX\002 mellett elfogadja\n"
    "az \0021\002 (ON) and \0020\002 (OFF) rtkeket.\n"
    "A \002TIMER\002 elfogadja: \0020\002 (OFF) and \002>0\002 (INTERVAL). Minimum kztes ido\n"
    "10 msodperc, az 1-9 kztti rtkek korriglsra kerlnek.\n"
    "\002REQUESTDELAY\002 elfogadja: \0020\002 (OFF) and \002>0\002 (DELAY).\n"
    "\002DISPLAYMAX\002 elfogadja: \0020\002 (NO LIMIT) and \002>0\002 (LIMITED).",
    /* LNG_VHOST_SYNTAX */
    "Elrheto opcik:\n"
    "- \002{WAITING|W} {\037nick\037|\037szm\037}\002   - kilistzza a nyitott vHost krelmeket\n"
    "- \002{ACTIVATE|A} \037nick\037\002         - aktivl egy krelmet\n"
    "- \002{REJECT|R} \037nick\037 [\037indok\037]\002   - elutast egy krelmet\n"
#ifdef SUPPORT_WILDCARD
    "  Megj.: A wildcard nick szurs aktv. A tmogatott joker karakterek: '?' s '*'.\n"
#else
    "  Megj.: A wildcard nick szurs inaktv. \n"
#endif
#ifdef SUPPORT_REGEX
    "  Megj.: A regex nick szurs aktv. Kezdd a stringet a kvetkezovel: '!'.\n"
#else
    "  Megj.: A regex nick szurs inaktv.\n"
#endif
    " \n"
    "- \002ACTALL [\037indok\037]\002            - az sszes krelem aktivlsa\n"
    "- \002REJALL [\037indok\037]\002            - az sszes krelem elutatsa",
    /* LNG_NO_REQUESTS */
    "Nincs krelem.",
    /* LNG_NOT_ENOUGH_REQUESTS */
    "Nincs elg krelem.",
    /* LNG_NO_MATCHES */
    "Nem tallhat '%s'-nek megfelelo krelem.",
    /* LNG_REGEX_DISABLED */
    "Regex nick szurs inaktv.",
    /* LNG_WILDCARD_DISABLED */
    "Wildcard nick szurs inkaktv.",
    /* LNG_REGEX_ERROR */
    "Hiba '%s'-ben: %s",
    /* LNG_CONF_SAVE_DB */
    "Ksz. Ellenorizd a services csatornt a lehetsges hibkrt.",
    /* LNG_CONF_REGEX_ADD_FAIL */
    "'%s' regex-et nem sikerlt hozzadni",
    /* LNG_CONF_REGEX_ADD */
    "'%s' regex hozzadsra kerlt.",
    /* LNG_CONF_REGEX_LIST */
    "#%d: '%s' by %s",
    /* LNG_CONF_REGEX_LIST_END */
    "Regex lista vge.",
    /* LNG_CONF_REGEX_DELETED */
    "Az sszes megfelelo regex trlve.",
    /* LNG_CONF_TEMPORARY */
    "%s bellts tmenetileg a kvetkezo lett: %d (%s)",
    /* LNG_VHOST_LISTING */
    "[\037%s\037] Nyitott vHost krelmek listzsa...",
    /* LNG_VHOST_REQUEST_COUNT */
    "Krelmek szma: \002%d\002",
    /* LNG_VHOST_REQUEST_DISPLAYED */
    "- %d kirt krelem%s(sszes: \002%d\002)",
    /* LNG_VHOST_REMINDER */
    "[\037Emlkezteto\037] %d vHost%sjvhagysra vr. Megtekints: !%s waiting",
    /* LNG_KEY_NICK */
    "Nick",
    /* LNG_KEY_OFFLINE */
    "offline",
    /* LNG_KEY_CURRENT */
    "Jelenlegi",
    /* LNG_KEY_NONE */
    "nincs",
    /* LNG_KEY_REQUEST */
    "Krelem",
    /* LNG_KEY_AGO */
    "ezelott",
    /* LNG_KEY_OPER */
    "Oper",
    /* LNG_KEY_HOST */
    "Host",
    /* LNG_KEY_REASON */
    "Indok",
    /* LNG_REQUEST_ALREADY_APPROVED */
    "A krsed '%s'-re mr jvhagysra kerlt. rj be '/msg HostServ on' ha a host nem aktv.",
    /* LNG_REQUEST_REMOVED_HOST */
    "A fggoben lvo vHost krelem %s-re automatikusan eltvoltsra kerlt. Az j krelem egy mr jvhagyott host-ot rint.",
    /* LNG_REQUEST_REMOVED_GROUP */
    "A fggoben lvo vHost krelem %s-re automatikusan eltvoltsra kerlt. Az j krelem a(z) %s csoportostott nick-hez tartoz jvhagyott host-ot rint.",
    /* LNG_REQUEST_NOT_SHOWN */
    "[\037Figyelmeztets\037] j vHost(okat) ignyeltek, amik nem kerltek megjelentsre.",
    /* LNG_REQUEST_UPDATE_DENIED */
    "Krelem megtagadva. Az ident megvltoztatshoz:\n"
    "   1. Krelem: '/msg HostServ request *@%s'.\n"
    "   2. Vltoztass ident-et a kliensedben s kapcsoldj jra.",
    /* LNG_REQUEST_AUTO_APPROVED */
    "A krelmed automatikusan elfogadsra kerlt",
    /* LNG_HOST_REJECTED */
    "Az krt \002%s\002 vHost-od elutastsra kerlt. Indok: %s.",
    /* LNG_HOST_IDENT_REJECTED */
    "Az krt \002%s\002@\002%s\002 vHost elutastsra kerlt. Indok: %s.",
    /* LNG_HOST_ACTIVATED */
    "A(z) \002%s\002 vhost-od aktivlsra kerlt. Indok: %s.",
    /* LNG_HOST_IDENT_ACTIVATED */
    "A(z) \002%s\002@\002%s\002 vhost-od aktivlsra kerlt. Indok: %s.",
    /* LNG_REQUEST_AUTO_REJECTED */
    "A krsed automatikusan elutastsra kerlt",
    /* LNG_CONF_EXCEPTION_ADD_FAIL */
    "Nem lehetett kivtelt hozzadni a(z) '%s' nickhez.",
    /* LNG_CONF_EXCEPTION_ADD */
    "'%s' nickhez a kivtel hozzadva.",
    /* LNG_CONF_EXCEPTION_LIST */
    "#%d: '%s', hozzad: %s",
    /* LNG_CONF_EXCEPTION_LIST_END */
    "Kivtel-lista vge.",
    /* LNG_CONF_EXCEPTION_DELETED */
    "Megfelelo kivtelek trlve.",
    /* LNG_CONF_EXCEPTION_NOT_FOUND */
    "Nincs ilyen bejegyzs a kivtel-listban.",
    /* LNG_REQUEST_REMOVED_GONE */
    "A fggoben lvo vHost krs a(z) %s nickhez automatikusan eltvoltsra kerlt. A felhasznl mr nem ltezik.",
    /* LNG_CONFIG_REGEX_SYNTAX */
    "Szintaktika: \002CONFIG REGEX {ADD \037indok\037 \037regex\037|DEL {\037#szm\037|\037nick\037}|LIST}\002",
    /* LNG_CONFIG_EXCEPTION_SYNTAX */
    "Szintaktika: \002CONFIG EXCEPTION {ADD \037nick\037|DEL {\037#szm\037|\037nick\037}|LIST}\002",
    /* LNG_USER_IS_EXEMPT */
    "A felhasznl kivtelt belltotta: "
};
    moduleInsertLanguage(LANG_EN_US, LNG_NUM_STRINGS, langtable_en_us);
    moduleInsertLanguage(LANG_ES, LNG_NUM_STRINGS, langtable_es);
    moduleInsertLanguage(LANG_DE, LNG_NUM_STRINGS, langtable_de);
    moduleInsertLanguage(LANG_HUN, LNG_NUM_STRINGS, langtable_hun);
}

/* EOF */
